<?
$infos=get_user_info();
$name=$_COOKIE['v_name'];
$nick=$_COOKIE['v_nick'];
$url=$infos['url'];

$nick_size=18;
$nick_len=mb_strlen($nick,'UTF8');
if($nick_len>9){$nick_size=13;}
$i=1;
while($i<6)
{
	$num=$num+$_POST['i'.$i];
	$i++;
}

if($num==5){$level='你的内心常常会有空虚感，你性格上最大的弱点就是自闭。试着让自己的心开放一些，让自己心里少一些秘密，也许会对你的心理有些改善。';}
if($num==10){$level='你不太擅长于表述，在人多的场合会显得不知所措。你性格上最大的弱点就是过于内向。大胆地与陌生人说话吧，只要打开了这个匣子，你会发现，开朗原来这么容易。';}
if($num==20){$level='你是一个矛盾的人，你性格上最大的弱点就是贪婪。对金钱欲望的贪婪也许短期上会让你赚点儿钱，但长期你会吃亏的。';}
if($num==30){$level='你是一个外向的人，你擅长于交际，但确对技术感觉很神秘。你性格上最大的弱点就是无法专心。专心有时候还是需要一定的毅力的，不防一天让自己静坐上20分钟，或者尝试着去做钓鱼等耐力的运动。也许会对你有帮助。';}
if($num==40){$level='你是一个很在乎外表的人，你性格上最大的弱点就是太在意别人对你的看法。外表往往不是最重要的，然而这个道理很多人要老得走不了路的时候才懂得。不防多充实充实自己的内心世界吧。你会发现更广阔的另一片天地。';}

$img_path='./imgs/xgld87.png';
$img=getImgType($img_path);
$img=createImg($img,$nick,5,50,50,0,$nick_size,'19f','yahei');
$img=createImg($img,$level,15,75,17,0,12,'fff','yahei');

$content='是人就有弱点。然而人的弱点也许可以靠自己的努力而改变。不防让我们试着通过一个简单的选择题来了解一下自己，了解下自己的弱点以及补救办法吧！ #你性格上最大的弱点#：'.$url;
$rt_info=post_send($content,$img);